Bug 30378 - Convert about page tabs to Bootstrap
Summary: Convert about page tabs to Bootstrap
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 29226
  Show dependency treegraph
 
Reported: 2022-03-28 12:03 UTC by Owen Leonard
Modified: 2022-04-15 11:18 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30378: Convert about page tabs to Bootstrap (6.95 KB, patch)
2022-03-28 12:21 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30378: Convert about page tabs to Bootstrap (7.10 KB, patch)
2022-04-01 07:39 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30378: Convert about page tabs to Bootstrap (7.16 KB, patch)
2022-04-01 12:30 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-03-28 12:03:51 UTC
Continuing the process of phasing out jQueryUI, this patch will replace jQueryUI tabs in the about page template with Bootstrap.
Comment 1 Owen Leonard 2022-03-28 12:21:02 UTC
Created attachment 132323 [details] [review]
Bug 30378: Convert about page tabs to Bootstrap

This patch updates the about page to use Bootstrap tabs instead of
jQueryUI.

The patch also makes a minor HTML correction for validity.

To test, apply the patch and go to the about page in the staff
interface.

Test that the tabs look correct and work correctly.
Comment 2 Séverine Queune 2022-04-01 07:39:38 UTC
Created attachment 132820 [details] [review]
Bug 30378: Convert about page tabs to Bootstrap

This patch updates the about page to use Bootstrap tabs instead of
jQueryUI.

The patch also makes a minor HTML correction for validity.

To test, apply the patch and go to the about page in the staff
interface.

Test that the tabs look correct and work correctly.

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 3 Séverine Queune 2022-04-01 07:41:01 UTC
Nice, thanks Owen !
Comment 4 Kyle M Hall 2022-04-01 12:30:59 UTC
Created attachment 132856 [details] [review]
Bug 30378: Convert about page tabs to Bootstrap

This patch updates the about page to use Bootstrap tabs instead of
jQueryUI.

The patch also makes a minor HTML correction for validity.

To test, apply the patch and go to the about page in the staff
interface.

Test that the tabs look correct and work correctly.

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Fridolin Somers 2022-04-12 09:41:44 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄